[![logo][]](https://xylabs.com)

# @xylabs/sdk-js

[![main-build][]][main-build-link]
[![npm-badge][]][npm-link]
[![npm-downloads-badge][]][npm-link]
[![jsdelivr-badge][]][jsdelivr-link]
[![npm-license-badge][]](LICENSE)
[![codacy-badge][]][codacy-link]
[![codeclimate-badge][]][codeclimate-link]
[![snyk-badge][]][snyk-link]
[![socket-badge][]][socket-link]

## Table of Contents

-   [Description](#description)
-   [Install](#install)
-   [Scripts](#scripts)
-   [Maintainers](#maintainers)
-   [License](#license)
-   [Credits](#credits)

## Description

SDK for base code for Typescript and Javascript Libraries. Common utility &
helper code that is used throughout XYLabs/XYO Network TypeScript projects.

Features:

-   Mono-repo that publishes individual packages to npm
-   Fully written in TypeScript
-   Polyfills to ensure common operation across Node.js/Browser environments

## Install

Using npm:

```sh
npm i --save @xylabs/sdk-js
```

Using yarn:

```sh
yarn add @xylabs/sdk-js
```

## Scripts

Using npm:

```sh
npm xy --help
```

Using yarn:

```sh
yarn xy --help
```

## Maintainers

-   [Arie Trouw](https://github.com/arietrouw) ([arietrouw.com](https://arietrouw.com))
-   [Matt Jones](https://github.com/jonesmac)
-   [Joel Carter](https://github.com/JoelBCarter)
-   [Jordan Trouw](https://github.com/jordantrouw)

## License

See the [LICENSE](LICENSE) file for license details

## Credits

[Made with 🔥 and ❄️ by XY Labs](https://xylabs.com)

[logo]: https://cdn.xy.company/img/brand/XYPersistentCompany_Logo_Icon_Colored.svg
[main-build]: https://github.com/xylabs/sdk-js/actions/workflows/build.yml/badge.svg
[main-build-link]: https://github.com/xylabs/sdk-js/actions/workflows/build.yml
[npm-badge]: https://img.shields.io/npm/v/@xylabs/sdk-js.svg
[npm-link]: https://www.npmjs.com/package/@xylabs/sdk-js
[codacy-badge]: https://app.codacy.com/project/badge/Grade/c8e15e14f37741c18cfb47ac7245c698
[codacy-link]: https://www.codacy.com/gh/xylabs/sdk-js/dashboard?utm_source=github.com&utm_medium=referral&utm_content=xylabs/sdk-js&utm_campaign=Badge_Grade
[codeclimate-badge]: https://api.codeclimate.com/v1/badges/c5eb068f806f0b047ea7/maintainability
[codeclimate-link]: https://codeclimate.com/github/xylabs/sdk-js/maintainability
[snyk-badge]: https://snyk.io/test/github/xylabs/sdk-js/badge.svg?targetFile=package.json
[snyk-link]: https://snyk.io/test/github/xylabs/sdk-js?targetFile=package.json

[npm-downloads-badge]: https://img.shields.io/npm/dw/@xylabs/sdk-js
[npm-license-badge]: https://img.shields.io/npm/l/@xylabs/sdk-js

[jsdelivr-badge]: https://data.jsdelivr.com/v1/package/npm/@xylabs/sdk-js/badge
[jsdelivr-link]: https://www.jsdelivr.com/package/npm/@xylabs/sdk-js

[socket-badge]: https://socket.dev/api/badge/npm/package/@xylabs/sdk-js
[socket-link]: https://socket.dev/npm/package/@xylabs/sdk-js
